/*
 * System Interface Library for games
 * Copyright (c) 2007-2017 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * src/sysdep/sdl/internal.h: Internal functions used only by the SDL
 * interface code.
 */

#ifndef SIL_SRC_SYSDEP_SDL_INTERNAL_H
#define SIL_SRC_SYSDEP_SDL_INTERNAL_H

struct SDL_Window;

/*************************************************************************/
/*************************************************************************/

/******** graphics.c ********/

/**
 * sdl_window:  Return the currently active window, or NULL if none.
 * Always returns NULL when built against SDL 1.2.
 *
 * [Return value]
 *     Current window, or NULL if none.
 */
extern struct SDL_Window *sdl_window(void);

/*************************************************************************/
/*************************************************************************/

#endif  // SIL_SRC_SYSDEP_SDL_INTERNAL_H

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
