/*
 * System Interface Library for games
 * Copyright (c) 2007-2017 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * src/userdata.h: User data management header.
 */

#ifndef SIL_SRC_USERDATA_H
#define SIL_SRC_USERDATA_H

#include "SIL/userdata.h"  // Include the public header.

/*************************************************************************/
/************************ Test control interface *************************/
/*************************************************************************/

#ifdef INCLUDE_TESTS

/**
 * TEST_userdata_reset:  Free all persistent resources allocated by the
 * top-level user data management code.  This does not affect any
 * system-level resources which may be allocated.
 *
 * There must be no user data operations in progress when this function is
 * called.
 */
extern void TEST_userdata_reset(void);

#endif  // INCLUDE_TESTS

/*************************************************************************/
/*************************************************************************/

#endif  // SIL_SRC_USERDATA_H

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
